org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmSchemaImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmSchemaImpl

- All Implemented Interfaces:
    EdmSchema

      public class EdmSchemaImpl
      extends Object
      implements EdmSchema

  Objects of this class represent a schema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmSchemaImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `List<EdmAnnotationElement>` | `getAnnotationElements()`
    `List<EdmAssociation>` | `getAssociations()`
    `List<EdmComplexType>` | `getComplexTypes()`
    `List<EdmEntityContainer>` | `getEntityContainers()`
    `List<EdmEntityType>` | `getEntityTypes()`
    `String` | `getNamespace()`
    `List<EdmUsing>` | `getUsings()`
    `EdmSchemaImpl` | `setAlias(String alias)` Sets the alias for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setAssociations(List<EdmAssociation> associations)` Sets the `Association`s for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setComplexTypes(List<EdmComplexType> complexTypes)` Sets the `ComplexType`s for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setEntityContainers(List<EdmEntityContainer> entityContainers)` Sets the `EntityContainer`s for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setEntityTypes(List<EdmEntityType> entityTypes)` Sets the `EntityType`s for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setNamespace(String namespace)` Sets the namespace for this `EdmSchemaImpl`
    `EdmSchemaImpl` | `setUsings(List<EdmUsing> usings)` Sets the `Using` for this `EdmSchemaImpl`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmSchemaImpl

          public EdmSchemaImpl()

  - ### Method Detail

    - #### setNamespace

          public EdmSchemaImpl setNamespace(String namespace)

      Sets the namespace for this `EdmSchemaImpl`
      Parameters:
        `namespace` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setAlias

          public EdmSchemaImpl setAlias(String alias)

      Sets the alias for this `EdmSchemaImpl`
      Parameters:
        `alias` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setUsings

          public EdmSchemaImpl setUsings(List<EdmUsing> usings)

      Sets the `Using` for this `EdmSchemaImpl`
      Parameters:
        `usings` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setEntityTypes

          public EdmSchemaImpl setEntityTypes(List<EdmEntityType> entityTypes)

      Sets the `EntityType`s for this `EdmSchemaImpl`
      Parameters:
        `entityTypes` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setComplexTypes

          public EdmSchemaImpl setComplexTypes(List<EdmComplexType> complexTypes)

      Sets the `ComplexType`s for this `EdmSchemaImpl`
      Parameters:
        `complexTypes` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setAssociations

          public EdmSchemaImpl setAssociations(List<EdmAssociation> associations)

      Sets the `Association`s for this `EdmSchemaImpl`
      Parameters:
        `associations` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setEntityContainers

          public EdmSchemaImpl setEntityContainers(List<EdmEntityContainer> entityContainers)

      Sets the `EntityContainer`s for this `EdmSchemaImpl`
      Parameters:
        `entityContainers` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setAnnotationAttributes

          public EdmSchemaImpl setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `EdmSchemaImpl`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### setAnnotationElements

          public EdmSchemaImpl setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `EdmSchemaImpl`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmSchemaImpl` for method chaining

    - #### getNamespace

          public String getNamespace()

      Specified by:
        `getNamespace` in interface `EdmSchema`
      Returns:
        String namespace of this `EdmSchemaImpl`

    - #### getAlias

          public String getAlias()

      Specified by:
        `getAlias` in interface `EdmSchema`
      Returns:
        String alias of this `EdmSchemaImpl`

    - #### getUsings

          public List<EdmUsing> getUsings()

      Specified by:
        `getUsings` in interface `EdmSchema`
      Returns:
        List<`Using`> of this `EdmSchemaImpl`

    - #### getEntityTypes

          public List<EdmEntityType> getEntityTypes()

      Specified by:
        `getEntityTypes` in interface `EdmSchema`
      Returns:
        List<`EntityType`> of this `EdmSchemaImpl`

    - #### getComplexTypes

          public List<EdmComplexType> getComplexTypes()

      Specified by:
        `getComplexTypes` in interface `EdmSchema`
      Returns:
        List<`ComplexType`> of this `EdmSchemaImpl`

    - #### getAssociations

          public List<EdmAssociation> getAssociations()

      Specified by:
        `getAssociations` in interface `EdmSchema`
      Returns:
        List<`Association`> of this `EdmSchemaImpl`

    - #### getEntityContainers

          public List<EdmEntityContainer> getEntityContainers()

      Specified by:
        `getEntityContainers` in interface `EdmSchema`
      Returns:
        List<`EntityContainer`> of this `EdmSchemaImpl`

    - #### getAnnotationAttributes

          public List<EdmAnnotationAttribute> getAnnotationAttributes()

      Specified by:
        `getAnnotationAttributes` in interface `EdmSchema`
      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<EdmAnnotationElement> getAnnotationElements()

      Specified by:
        `getAnnotationElements` in interface `EdmSchema`
      Returns:
        List of `AnnotationElement` annotation elements

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.